Skip to content

Get Borrows History

GET
/v1/borrows/{currencySymbol}/history

Returns a history of interest entries as calculated during the margin interest auction runs. At the beginning of every hour, the interest engine calculates the total borrow demand for each coin among all users. An auction is run by sorting the lending offers by minimum rate and taking the cheapest set that satisfies the borrowing demand. The borrowing rate is set to the minimum of the required marginal (most expensive) loan.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencySymbol*

The currency symbol to filter borrow history by (e.g., BTC)

Type
string
Required

Query Parameters

skip

Number of items to skip before returning results.

Type
integer
Example0
Format
"int32"
limit

Maximum number of items to return (max 100).

Type
integer
Example100
Format
"int32"
startTime

Start time in ISO 8601 format (e.g., 2023-11-14T22:00:00.000Z)

Type
string
endTime

End time in ISO 8601 format (e.g., 2023-12-14T22:00:00.000Z)

Type
string

Responses

Borrows history retrieved successfully

application/json
JSON
[
{
"currency": "BTC",
"interestAmount": "0.00000002",
"quantity": "0.0010096",
"createdAt": "2023-04-23T10:00:00.098808Z"
}
]

Playground

Authorization
Variables
Key
Value

Samples